Bug 170157 - misc/apparix: Update to version 20110303
Summary: misc/apparix: Update to version 20110303
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-25 19:10 UTC by tkato432
Modified: 2012-08-05 06:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.63 KB, patch)
2012-07-25 19:10 UTC, tkato432
no flags Details | Diff
misc_apparix.diff (1.77 KB, patch)
2012-07-28 18:58 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-07-25 19:10:14 UTC
- Update to version 20110303
Comment 1 Edwin Groothuis freebsd_committer 2012-07-25 19:12:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-07-28 07:58:11 UTC
State Changed
From-To: open->feedback

fails to build on 64bit 
http://tb.smeets.im/tb/index.php?action=describe_port&id=2336
Comment 3 tkato432 2012-07-28 18:58:15 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2012-08-05 06:35:54 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2012-08-05 06:36:06 UTC
Author: miwi
Date: Sun Aug  5 05:35:50 2012
New Revision: 302063
URL: http://svn.freebsd.org/changeset/ports/302063

Log:
  - Update to 20110303
  
  PR:		170157
  Submitted by:	Ports Fury

Modified:
  head/misc/apparix/Makefile   (contents, props changed)
  head/misc/apparix/distinfo   (contents, props changed)

Modified: head/misc/apparix/Makefile
==============================================================================
--- head/misc/apparix/Makefile	Sun Aug  5 05:33:43 2012	(r302062)
+++ head/misc/apparix/Makefile	Sun Aug  5 05:35:50 2012	(r302063)
@@ -6,30 +6,35 @@
 #
 
 PORTNAME=	apparix
-PORTVERSION=	20081026
+PORTVERSION=	20110303
 CATEGORIES=	misc
 MASTER_SITES=	http://micans.org/apparix/src/
-DISTNAME=	${PORTNAME}-08-331
+DISTNAME=	${PORTNAME}-11-062
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Bookmark directories and apparate inside them
 
+LICENSE=	GPLv2
+
+OPTIONS_DEFINE=	DOCS
+
 GNU_CONFIGURE=	yes
-MANCOMPRESSED=	no
+MAKE_JOBS_SAFE=	yes
 
 MAN1=		apparix.1
 PORTDOCS=	apparix.azm apparix.html apparix.ps
 PLIST_FILES=	bin/apparix
 
-post-patch:
-	@${REINPLACE_CMD} -e 's|sig_atomic_t|int|g' ${WRKSRC}/util/err.c
+.include <bsd.port.options.mk>
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/src/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/doc/${MAN1} ${MAN1PREFIX}/man/man1
-.if !defined(NOPORTDOCS)
+	${INSTALL_PROGRAM} ${WRKSRC}/src/apparix ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/doc/apparix.1 ${MANPREFIX}/man/man1
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	${INSTALL_MAN} ${PORTDOCS:S,^,${WRKSRC}/doc/,} ${DOCSDIR}
+.for i in ${PORTDOCS}
+	${INSTALL_DATA} ${WRKSRC}/doc/${i} ${DOCSDIR}
+.endfor
 .endif
 
 .include <bsd.port.mk>

Modified: head/misc/apparix/distinfo
==============================================================================
--- head/misc/apparix/distinfo	Sun Aug  5 05:33:43 2012	(r302062)
+++ head/misc/apparix/distinfo	Sun Aug  5 05:35:50 2012	(r302063)
@@ -1,2 +1,2 @@
-SHA256 (apparix-08-331.tar.gz) = dc331ba5bc0e8be7ca63681f755afa4e621f008b2850f81b98564b5daa438192
-SIZE (apparix-08-331.tar.gz) = 247587
+SHA256 (apparix-11-062.tar.gz) = 211bb5f67b32ba7c3e044a13e4e79eb998ca017538e9f4b06bc92d5953615235
+SIZE (apparix-11-062.tar.gz) = 260823
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"